import cors from "cors";
import express, {json} from "express";
import 'express-async-errors'
import rateLimit from "express-rate-limit";
import {handleError} from "./utils/errors";
import {adRouter} from "./routers/ad.routers";

const app = express()
app.use(rateLimit({
    windowMs: 15 * 60 * 1000,
    max: 100,
    standardHeaders: true,
    legacyHeaders: false
}))
app.use(json())
app.use(cors({
    origin: 'http://localhost:3000'
}))

app.use('/ad', adRouter)


app.use(handleError)

app.listen(3001, '0.0.0.0', () => {
    console.log('listening on http://localhost:3001')
})
